## mypaint 0.8.2

=== SConstruct ===
import os, sys
from os.path import join, basename

EnsureSConsVersion(1, 0)

python = 'python%d.%d' % (sys.version_info[0], sys.version_info[1])
print 'Building for', python

try: 
    import numpy
except ImportError:
    print 'You need to have numpy installed.'
    print
    raise

SConsignFile() # no .scsonsign into $PREFIX please

# Does option parsing really screw up the win32 build? if no, remove comment
#if sys.platform == "win32":
#    env = Environment(ENV=os.environ)
#else:

opts = Variables()
opts.Add(PathVariable('prefix', 'autotools-style installation prefix', '/usr/local', validator=PathVariable.PathIsDirCreate))
opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
env = Environment(ENV=os.environ, options=opts)
if sys.platform == "win32":
    env = Environment(tools=['mingw'], ENV=os.environ, options=opts)
opts.Update(env)

env.ParseConfig('pkg-config --cflags --libs glib-2.0')

env.Append(CXXFLAGS=' -Wall -Wno-sign-compare -Wno-write-strings')

# Get the numpy include path (for numpy/arrayobject.h).
numpy_path = numpy.get_include()
env.Append(CPPPATH=numpy_path)


if sys.platform == "win32":
    env.ParseConfig('pkg-config --cflags --libs python25') # These two '.pc' files you probably have to make for yourself.
    env.ParseConfig('pkg-config --cflags --libs numpy')    # Place them among the other '.pc' files ( where the 'glib-2.0.pc' is located .. probably )
else:
    # some distros use python2.5-config, others python-config2.5
    try:
        env.ParseConfig(python + '-config --cflags --ldflags')
    except OSError:
        print 'going to try python-config instead'
        env.ParseConfig('python-config --cflags --ldflags')

if env.get('CPPDEFINES'):
    # make sure assertions are enabled
    env['CPPDEFINES'].remove('NDEBUG')

if env['debug']:
    env.Append(CPPDEFINES='HEAVY_DEBUG')
    env.Append(CCFLAGS='-O0', LINKFLAGS='-O0')

Export('env')
module = SConscript('lib/SConscript')
SConscript('brushlib/SConscript')
languages = SConscript('po/SConscript')

# Build mypaint.exe for running on windows
if sys.platform == "win32":
    env2 = Environment(tools=['mingw'], ENV=os.environ)
    env2.ParseConfig('pkg-config --cflags --libs python25')
    env2.Program('mypaint', ['mypaint_exe.c'])

def burn_python_version(target, source, env):
    # make sure we run the python version that we built the extension modules for
    s =  '#!/usr/bin/env ' + python + '\n'
    s += 5*'#\n'
    s += '# DO NOT EDIT - edit %s instead\n' % source[0]
    s += 5*'#\n'
    s += open(str(source[0])).read()
    f = open(str(target[0]), 'w')
    f.write(s)
    f.close()

env.Command('mypaint', 'mypaint.py', [burn_python_version, Chmod('$TARGET', 0755)])

env.Clean('.', Glob('*.pyc'))
env.Clean('.', Glob('gui/*.pyc'))
env.Clean('.', Glob('lib/*.pyc'))

env.Alias('install', env['prefix'])
def install(dst, pattern):
    env.Install(join(env['prefix'], dst), Glob(pattern))
install('bin', 'mypaint')
install('share/mypaint/brushes', 'brushes/*')
install('share/mypaint/backgrounds', 'backgrounds/*')
install('share/mypaint/pixmaps', 'pixmaps/*')

install('share', 'desktop/icons')
install('share/applications', 'desktop/mypaint.desktop')

# location for achitecture-dependent modules
env.Install(join(env['prefix'], 'lib/mypaint'), module)
install('share/mypaint/lib', 'lib/*.py')
install('share/mypaint/gui', 'gui/*.py')
install('share/mypaint/gui', 'gui/menu.xml')
install('share/mypaint/brushlib', 'brushlib/*.py')

# translations
for lang in languages:
    install('share/locale/%s/LC_MESSAGES' % lang, 'po/%s/LC_MESSAGES/mypaint.mo' % lang)

=== debian/changelog ===
mypaint (0.8.2-1ubuntu1) lucid; urgency=low

  * Merge from debian testing. (LP: #515016) Remaining changes:
    - debian/control: Don't hardcode python dependencies.
  * debian/control: Add versioned dependency on python-protobuf
    (>= 2.2.0a-0.1) (LP: #515016, Closes: #570685)

 -- Daniel Hahler <ubuntu@thequod.de>  Mon, 12 Apr 2010 00:18:23 +0200

mypaint (0.8.2-1) unstable; urgency=low

  * New upstream version.
  * Added watch file.
  * Add missing dependency to python-gtk2. (Closes: #571600)
  * Switch to dpkg-source 3.0 (quilt) format to avoid repackaging.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 24 Feb 2010 11:05:51 +0100

mypaint (0.8.0-2) unstable; urgency=low

  * Bump standards version.
  * debian/cntrol: add depends for python-protobuf. (Closes: #568958)
  * Add debian/manpages so the manual page gets installed.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 09 Feb 2010 10:35:26 +0100

mypaint (0.8.0-1) unstable; urgency=low

  * New upstream version.
  * debian/changelog: Updated copyright year.
  * debian/control: Add build-depends for protobuf-compiler.
  * debian/control: Add depends for python-numpy. (Closes: #551322)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Sat, 30 Jan 2010 19:53:23 +0100

mypaint (0.7.1-2ubuntu1) lucid; urgency=low

  * Don't hardcode python dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Feb 2010 01:55:08 +0100

mypaint (0.7.1-2build1) lucid; urgency=low

  * Rebuild for python2.6 as the default python version.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 01 Feb 2010 21:02:53 +0000

mypaint (0.7.1-2) unstable; urgency=low

  * Added missing copyright holders.
  * Applied patch to fix desktop icons. (Closes: #545387)
    Thanks to Andrew Chadwick for the patch.
  * Applied patch to fix multiple builds. (Closes: #545650)
    Thanks to Andrew Chadwick for the patch.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Mon, 21 Sep 2009 16:55:18 +0200

mypaint (0.7.1-1) unstable; urgency=low

  * Initial release. (Closes: #527598)

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Wed, 19 Aug 2009 23:31:35 +0200

=== debian/control ===
Source: mypaint
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7), scons, python-gtk2-dev, python-numpy, swig, python-support, protobuf-compiler
Standards-Version: 3.8.4
Homepage: http://mypaint.intilinux.com/

Package: mypaint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.2.0a-0.1), python-gtk2
Description: Paint program to be used with Wacom tablets
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.

Package: mypaint-data
Architecture: all
Depends: ${misc:Depends}
Description: Brushes and backgrounds for the mypaint program
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains the data files needed for the program.

## mypaint 0.8.2-1maemo1

=== debian/changelog ===
mypaint (0.8.2-1maemo1) unstable; urgency=low

  * Snatched from Ubuntu Lucid. Made it build in Scratchbox.

 -- Anders Gudmundson <anders@gudmundson.se>  Mon, 5 May 2010 15:24:31 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: mypaint
-Section: graphics
+Section: user/graphics
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
-Build-Depends: debhelper (>= 7), scons, python-gtk2-dev, python-numpy, swig, python-support, protobuf-compiler
+Maintainer: Anders Gud <anders@gudmundson.se>
+Build-Depends: debhelper (>= 5), scons (>1.0), python-gtk2-dev, python-numpy, swig, python-support, protobuf-compiler, liblapack-dev, debhelper-maemo-package-icons
 Standards-Version: 3.8.4
 Homepage: http://mypaint.intilinux.com/
 
 Package: mypaint
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.2.0a-0.1), python-gtk2
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE


build: build-stamp

build-stamp:
	dh_testdir
	python2.5 /opt/scons/scratchbox/tools/bin/scons
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	python2.5 /opt/scons/scratchbox/tools/bin/scons -c
	rm -f options.cache .sconsign.dblite debian/*.debhelper debian/*.log
	find . -type f -name "*.pyc" -exec rm -vf {} \;
	find . -type f -name "*.pyo" -exec rm -vf {} \;
	rm -f debian/mypaint.png
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	python2.5 /opt/scons/scratchbox/tools/bin/scons prefix=/usr --install-sandbox=$(CURDIR)/debian/mypaint
	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
	find $(CURDIR)/debian/mypaint/usr/share/mypaint/ -type d -empty -print0 | xargs -0 rm -rf
	chmod -x $(CURDIR)/debian/mypaint/usr/share/mypaint/gui/colorsamplerwindow.py

	# dh_maemo_package_icons wants this
	cp $(CURDIR)/desktop/icons/hicolor/48x48/apps/mypaint.png \
	   $(CURDIR)/debian/
	# maemo service and desktop files 
	mkdir -p $(CURDIR)/debian/mypaint/usr/share/dbus-1/services/
	mkdir -p $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
	cp $(CURDIR)/desktop/mypaint.service \
	   $(CURDIR)/debian/mypaint/usr/share/dbus-1/services/
	cp $(CURDIR)/desktop/mypaint.desktop \
	   $(CURDIR)/debian/mypaint/usr/share/applications/hildon/


# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
export PATH
SBOX_REDIRECT_IGNORE=/usr/bin/perl
export SBOX_REDIRECT_IGNORE

# Build architecture-dependent files here.
binary-arch: install
	dh_maemo_package_icons
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installmenu
#	dh_pysupport
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_icons
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	maemo-optify mypaint-data
	dh_md5sums
	dh_builddeb
	dh_maemo_package_icons -r

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mypaint 0.8.2-1maemo2

=== debian/changelog ===
mypaint (0.8.2-1maemo2) unstable; urgency=low

  * optify whole package
  * 'good' default global pressure

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 5 May 2010 22:24:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -12,14 +12,14 @@
 
 build-stamp:
 	dh_testdir
-	python2.5 /opt/scons/scratchbox/tools/bin/scons
+	/usr/bin/python2.5 /opt/scons/scratchbox/tools/bin/scons
 	touch $@
 
 clean: 
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	python2.5 /opt/scons/scratchbox/tools/bin/scons -c
+	/usr/bin/python2.5 /opt/scons/scratchbox/tools/bin/scons -c
 	rm -f options.cache .sconsign.dblite debian/*.debhelper debian/*.log
 	find . -type f -name "*.pyc" -exec rm -vf {} \;
 	find . -type f -name "*.pyo" -exec rm -vf {} \;
@@ -31,7 +31,7 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	python2.5 /opt/scons/scratchbox/tools/bin/scons prefix=/usr --install-sandbox=$(CURDIR)/debian/mypaint
+	/usr/bin/python2.5 /opt/scons/scratchbox/tools/bin/scons prefix=/usr --install-sandbox=$(CURDIR)/debian/mypaint
 	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
 	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
 	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
@@ -78,7 +78,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify mypaint-data
+	maemo-optify
 	dh_md5sums
 	dh_builddeb
 	dh_maemo_package_icons -r

## mypaint 0.8.2-1maemo3

=== debian/changelog ===
mypaint (0.8.2-1maemo3) unstable; urgency=low

  * Hildonize (with Anders' 0.7.1 patch)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 5 May 2010 23:14:31 +0200

## mypaint 0.8.2-1maemo4

=== debian/changelog ===
mypaint (0.8.2-1maemo4) unstable; urgency=low

  * Not optifying mypaint package (only mypaint-data)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 5 May 2010 23:34:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: mypaint
-Section: user/graphics
+Section: graphics
 Priority: optional
-Maintainer: Anders Gud <anders@gudmundson.se>
-Build-Depends: debhelper (>= 5), scons (>1.0), python-gtk2-dev, python-numpy, swig, python-support, protobuf-compiler, liblapack-dev, debhelper-maemo-package-icons
+Maintainer: Anders Gud <anders@gudmundson.se>, Aapo Rantalainen <aapo.rantalainen@gmail.com>
+Build-Depends: debhelper (>= 5), scons (>=1.2), python-gtk2-dev, python-numpy, swig, python-support, protobuf-compiler, debhelper-maemo-package-icons, liblapack-dev
 Standards-Version: 3.8.4
 Homepage: http://mypaint.intilinux.com/
 
 Package: mypaint
 Architecture: any
+Section: user/graphics
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
@@ -17,6 +18,7 @@
 
 Package: mypaint-data
 Architecture: all
+Section: libs
 Depends: ${misc:Depends}
 Description: Brushes and backgrounds for the mypaint program
  This is a pressure sensitive Wacom tablet paint program. It comes with a large

=== debian/rules ===
--- 
+++ 
@@ -78,7 +78,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify
+	maemo-optify mypaint-data
 	dh_md5sums
 	dh_builddeb
 	dh_maemo_package_icons -r

## mypaint 0.8.2-1maemo5

=== debian/changelog ===
mypaint (0.8.2-1maemo5) unstable; urgency=low

  * Fixing hildonizing

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 6 May 2010 02:31:31 +0200

## mypaint 0.8.2-1maemo6

=== debian/changelog ===
mypaint (0.8.2-1maemo6) unstable; urgency=low

  * Open file fixed.
  * default brush
  * dependencies added

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 6 May 2010 11:54:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

## mypaint 0.8.2-1maemo7

=== debian/changelog ===
mypaint (0.8.2-1maemo7) unstable; urgency=low

  * python-support dependencies added
  * installing to /opt

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 7 May 2010 12:27:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 SBOX_REDIRECT_IGNORE=/usr/bin/perl
 export SBOX_REDIRECT_IGNORE
 
+PREFIX=/opt/mypaint
 
 build: build-stamp
 
@@ -31,24 +32,28 @@
 	dh_testroot
 	dh_prep
 	dh_installdirs
-	/usr/bin/python2.5 /opt/scons/scratchbox/tools/bin/scons prefix=/usr --install-sandbox=$(CURDIR)/debian/mypaint
-	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
-	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
-	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
-	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
-	find $(CURDIR)/debian/mypaint/usr/share/mypaint/ -type d -empty -print0 | xargs -0 rm -rf
-	chmod -x $(CURDIR)/debian/mypaint/usr/share/mypaint/gui/colorsamplerwindow.py
+	/usr/bin/python2.5 /opt/scons/scratchbox/tools/bin/scons prefix=$(PREFIX) --install-sandbox=$(CURDIR)/debian/mypaint
+	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/brushes/
+	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/backgrounds/
+	mv $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/$(PREFIX)/share/mypaint/brushes/
+	mv $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/backgrounds/
+	find $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/ -type d -empty -print0 | xargs -0 rm -rf
+	chmod -x $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/gui/colorsamplerwindow.py
 
 	# dh_maemo_package_icons wants this
 	cp $(CURDIR)/desktop/icons/hicolor/48x48/apps/mypaint.png \
 	   $(CURDIR)/debian/
 	# maemo service and desktop files 
-	mkdir -p $(CURDIR)/debian/mypaint/usr/share/dbus-1/services/
-	mkdir -p $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
+	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/dbus-1/services/
+	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/applications/hildon/
 	cp $(CURDIR)/desktop/mypaint.service \
-	   $(CURDIR)/debian/mypaint/usr/share/dbus-1/services/
+	   $(CURDIR)/debian/mypaint$(PREFIX)/share/dbus-1/services/
 	cp $(CURDIR)/desktop/mypaint.desktop \
-	   $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
+	   $(CURDIR)/debian/mypaint$(PREFIX)/share/applications/hildon/
+
+	mkdir -p $(CURDIR)/debian/mypaint/usr/bin
+	cp $(CURDIR)/desktop/start_script.sh \
+	   $(CURDIR)/debian/mypaint/usr/bin/mypaint
 
 
 # Build architecture-independent files here.
@@ -78,7 +83,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-	maemo-optify mypaint-data
+#	maemo-optify mypaint-data #we install it straigt to opt
 	dh_md5sums
 	dh_builddeb
 	dh_maemo_package_icons -r

## mypaint 0.8.2-1maemo8

=== debian/changelog ===
mypaint (0.8.2-1maemo8) unstable; urgency=low

  * Color menu (bigger -> brighter)
  * share/desktop/icons
  * menu launcher

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 7 May 2010 14:22:31 +0200

=== debian/rules ===
--- 
+++ 
@@ -40,16 +40,20 @@
 	find $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/ -type d -empty -print0 | xargs -0 rm -rf
 	chmod -x $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/gui/colorsamplerwindow.py
 
+
 	# dh_maemo_package_icons wants this
 	cp $(CURDIR)/desktop/icons/hicolor/48x48/apps/mypaint.png \
 	   $(CURDIR)/debian/
 	# maemo service and desktop files 
-	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/dbus-1/services/
-	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/applications/hildon/
+	mkdir -p $(CURDIR)/debian/mypaint/usr/share/dbus-1/services/
+	mkdir -p $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
 	cp $(CURDIR)/desktop/mypaint.service \
-	   $(CURDIR)/debian/mypaint$(PREFIX)/share/dbus-1/services/
+	   $(CURDIR)/debian/mypaint/usr/share/dbus-1/services/
 	cp $(CURDIR)/desktop/mypaint.desktop \
-	   $(CURDIR)/debian/mypaint$(PREFIX)/share/applications/hildon/
+	   $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
+
+	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/desktop/icons
+	cp -r $(CURDIR)/desktop/icons $(CURDIR)/debian/mypaint$(PREFIX)/share/desktop/
 
 	mkdir -p $(CURDIR)/debian/mypaint/usr/bin
 	cp $(CURDIR)/desktop/start_script.sh \

## mypaint 0.8.2-1maemo9

=== debian/changelog ===
mypaint (0.8.2-1maemo9) unstable; urgency=low

  * Icon fix
  * Non-working characters removed from brushselector

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 7 May 2010 15:32:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

=== debian/rules ===
--- 
+++ 
@@ -37,6 +37,8 @@
 	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/backgrounds/
 	mv $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/$(PREFIX)/share/mypaint/brushes/
 	mv $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/backgrounds/
+	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/desktop/icons
+	cp -r $(CURDIR)/desktop/icons $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/desktop/
 	find $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/ -type d -empty -print0 | xargs -0 rm -rf
 	chmod -x $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/gui/colorsamplerwindow.py
 
@@ -52,8 +54,7 @@
 	cp $(CURDIR)/desktop/mypaint.desktop \
 	   $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
 
-	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/desktop/icons
-	cp -r $(CURDIR)/desktop/icons $(CURDIR)/debian/mypaint$(PREFIX)/share/desktop/
+
 
 	mkdir -p $(CURDIR)/debian/mypaint/usr/bin
 	cp $(CURDIR)/desktop/start_script.sh \

## mypaint 0.8.2-1maemo10

=== debian/changelog ===
mypaint (0.8.2-1maemo10) unstable; urgency=low

  * Input method = screen
  * postinst fix for python-numpy bug

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 8 May 2010 13:39:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo10), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

## mypaint 0.8.2-1maemo11

=== debian/changelog ===
mypaint (0.8.2-1maemo11) unstable; urgency=low

  * layer-crash-fix.patch by Anders

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 10 May 2010 09:17:31 +0200

## mypaint 0.8.2-1maemo12

=== debian/changelog ===
mypaint (0.8.2-1maemo12) unstable; urgency=low

  * Icon for application menu
  * Dependencies python-osso and python-hildon added

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Tue, 11 May 2010 09:33:31 +0200

## mypaint 0.8.2-1maemo13

=== debian/changelog ===
mypaint (0.8.2-1maemo13) unstable; urgency=low

  * Icon for application menu fixed
  * Added Tone's Liner (line drawing brush)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 12 May 2010 18:42:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo10), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo12), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support, python-hildon, python-osso
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,9 @@
 	cp $(CURDIR)/desktop/mypaint.desktop \
 	   $(CURDIR)/debian/mypaint/usr/share/applications/hildon/
 
-
+	#Icon
+	install -d ${CURDIR}/debian/mypaint/usr/share/icons/hicolor/48x48/hildon
+	install ${CURDIR}/desktop/icons/hicolor/48x48/apps/mypaint.png     ${CURDIR}/debian/mypaint/usr/share/icons/hicolor/48x48/hildon
 
 	mkdir -p $(CURDIR)/debian/mypaint/usr/bin
 	cp $(CURDIR)/desktop/start_script.sh \
@@ -88,7 +90,7 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	maemo-optify mypaint-data #we install it straigt to opt
+#	maemo-optify mypaint-data #we install it straight to opt
 	dh_md5sums
 	dh_builddeb
 	dh_maemo_package_icons -r

## mypaint 0.8.2-1maemo14

=== debian/changelog ===
mypaint (0.8.2-1maemo14) unstable; urgency=low

  * Icon for application menu fixed - reverted back
  * Added minimum version for python-support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 12 May 2010 18:43:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo12), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support, python-hildon, python-osso
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo12), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

## mypaint 0.8.2-1maemo15

=== debian/changelog ===
mypaint (0.8.2-1maemo15) unstable; urgency=low

  * Added 'bug tracker' address
  * Default keyboard shortcuts by xman
  * Eraser mode like older versions by Tone
  * Rotate angle is now 22,5 degrees (by Tone & CO)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Fri, 14 May 2010 10:00:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,6 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Anders Gud <anders@gudmundson.se>, Aapo Rantalainen <aapo.rantalainen@gmail.com>
+XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
 Build-Depends: debhelper (>= 5), scons (>=1.2), python-gtk2-dev, python-numpy, swig, python-support, protobuf-compiler, debhelper-maemo-package-icons, liblapack-dev
 Standards-Version: 3.8.4
 Homepage: http://mypaint.intilinux.com/

## mypaint 0.8.2-1maemo16

=== debian/changelog ===
mypaint (0.8.2-1maemo16) unstable; urgency=low

  * Typo in accel.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 17 May 2010 11:36:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo12), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo16), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

## mypaint 0.8.2-1maemo17

=== debian/changelog ===
mypaint (0.8.2-1maemo17) unstable; urgency=low

  * mypaint+mypaint-data merged to single package

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 30 May 2010 17:53:31 +0200

=== debian/control ===
--- 
+++ 
@@ -16,15 +16,3 @@
  brush collection including charcoal and ink to emulate real media, but the
  highly configurable brush engine allows you to experiment with your own
  brushes and with not-quite-natural painting.
-
-Package: mypaint-data
-Architecture: all
-Section: libs
-Depends: ${misc:Depends}
-Description: Brushes and backgrounds for the mypaint program
- This is a pressure sensitive Wacom tablet paint program. It comes with a large
- brush collection including charcoal and ink to emulate real media, but the
- highly configurable brush engine allows you to experiment with your own
- brushes and with not-quite-natural painting.
- .
- This package contains the data files needed for the program.

## mypaint 0.8.2-1maemo18

=== debian/changelog ===
mypaint (0.8.2-1maemo18) unstable; urgency=low

  * dependency fixed

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 30 May 2010 18:23:31 +0200

## mypaint 0.8.2-1maemo19

=== debian/changelog ===
mypaint (0.8.2-1maemo19) unstable; urgency=low

  * version bump

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 31 May 2010 13:44:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data (>=0.8.2-1maemo16), python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
 Description: Paint program to be used with Wacom tablets
  This is a pressure sensitive Wacom tablet paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

=== debian/rules ===
--- 
+++ 
@@ -33,12 +33,10 @@
 	dh_prep
 	dh_installdirs
 	/usr/bin/python2.5 /opt/scons/scratchbox/tools/bin/scons prefix=$(PREFIX) --install-sandbox=$(CURDIR)/debian/mypaint
-	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/brushes/
-	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/backgrounds/
-	mv $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/$(PREFIX)/share/mypaint/brushes/
-	mv $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/backgrounds/
-	mkdir -p $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/desktop/icons
-	cp -r $(CURDIR)/desktop/icons $(CURDIR)/debian/mypaint-data$(PREFIX)/share/mypaint/desktop/
+	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/brushes/
+	mkdir -p $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/backgrounds/
+	mkdir -p $(CURDIR)/debian/mypaint/$(PREFIX)/share/mypaint/desktop/icons
+	cp -r $(CURDIR)/desktop/icons $(CURDIR)/debian/mypaint/$(PREFIX)/share/mypaint/desktop/
 	find $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/ -type d -empty -print0 | xargs -0 rm -rf
 	chmod -x $(CURDIR)/debian/mypaint$(PREFIX)/share/mypaint/gui/colorsamplerwindow.py
 
@@ -90,7 +88,6 @@
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
-#	maemo-optify mypaint-data #we install it straight to opt
 	dh_md5sums
 	dh_builddeb
 	dh_maemo_package_icons -r

## mypaint 0.8.2-1maemo20

=== debian/changelog ===
mypaint (0.8.2-1maemo20) unstable; urgency=low

  * New brushkit by Tone

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 2 Jun 2010 18:26:31 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Section: user/graphics
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
 Description: Paint program to be used with Wacom tablets
- This is a pressure sensitive Wacom tablet paint program. It comes with a large
+ This is a pressure sensitive paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the
  highly configurable brush engine allows you to experiment with your own
  brushes and with not-quite-natural painting.

## mypaint 0.8.2-1maemo21

=== debian/changelog ===
mypaint (0.8.2-1maemo21) unstable; urgency=low

  * Removed 'wacom' from description

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 3 Jun 2010 11:42:31 +0200

## mypaint 0.8.2-1maemo22

=== debian/changelog ===
mypaint (0.8.2-1maemo22) unstable; urgency=low

  * Version bump.

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 3 Jun 2010 20:02:31 +0200

## mypaint 0.8.2-1maemo23

=== debian/changelog ===
mypaint (0.8.2-1maemo23) unstable; urgency=low

  * New Tone's brushkit (and global pressure tuned)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 16 Jun 2010 08:26:31 +0200

## mypaint 0.8.2-1maemo24

=== debian/changelog ===
mypaint (0.8.2-1maemo24) unstable; urgency=low

  * Default folder /home/user/MyDocs/MyPaint

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 16 Jun 2010 14:13:31 +0200

## mypaint 0.8.2-2maemo0

=== debian/changelog ===
mypaint (0.8.2-2maemo0) unstable; urgency=low

  * Bruslist is inside hildon.PannableArea (instead of gtk.Scrolling)
  * Brush previes size is 95x95 (instead of 48x48)
  * First start show drawWindow topmost (instead of color- and brushSelection)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 10 Jul 2010 15:33:31 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Architecture: any
 Section: user/graphics
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-protobuf (>= 2.0.3-2.2), python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
-Description: Paint program to be used with Wacom tablets
+Description: Pressure sensitive paint program
  This is a pressure sensitive paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the
  highly configurable brush engine allows you to experiment with your own

## mypaint 0.9.0

=== SConstruct ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 EnsureSConsVersion(1, 0)
 
+# FIXME: sometimes it would be good to build for a different python
+# version than the one running scons. (But how to find all paths then?)
 python = 'python%d.%d' % (sys.version_info[0], sys.version_info[1])
 print 'Building for', python
 
@@ -15,13 +17,14 @@
 
 SConsignFile() # no .scsonsign into $PREFIX please
 
-# Does option parsing really screw up the win32 build? if no, remove comment
-#if sys.platform == "win32":
-#    env = Environment(ENV=os.environ)
-#else:
+if sys.platform == "darwin":
+    default_prefix = '/opt/local/'
+else:
+    default_prefix = '/usr/local/'
 
 opts = Variables()
-opts.Add(PathVariable('prefix', 'autotools-style installation prefix', '/usr/local', validator=PathVariable.PathIsDirCreate))
+opts.Add(PathVariable('prefix', 'autotools-style installation prefix', default_prefix, validator=PathVariable.PathIsDirCreate))
+
 opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
 env = Environment(ENV=os.environ, options=opts)
 if sys.platform == "win32":
@@ -29,6 +32,7 @@
 opts.Update(env)
 
 env.ParseConfig('pkg-config --cflags --libs glib-2.0')
+env.ParseConfig('pkg-config --cflags --libs libpng')
 
 env.Append(CXXFLAGS=' -Wall -Wno-sign-compare -Wno-write-strings')
 
@@ -40,13 +44,18 @@
 if sys.platform == "win32":
     env.ParseConfig('pkg-config --cflags --libs python25') # These two '.pc' files you probably have to make for yourself.
     env.ParseConfig('pkg-config --cflags --libs numpy')    # Place them among the other '.pc' files ( where the 'glib-2.0.pc' is located .. probably )
+elif sys.platform == "darwin":
+    env.ParseConfig('python-config --cflags')
+    env.ParseConfig('python-config --ldflags')
 else:
     # some distros use python2.5-config, others python-config2.5
     try:
-        env.ParseConfig(python + '-config --cflags --ldflags')
+        env.ParseConfig(python + '-config --cflags')
+        env.ParseConfig(python + '-config --ldflags')
     except OSError:
         print 'going to try python-config instead'
-        env.ParseConfig('python-config --cflags --ldflags')
+        env.ParseConfig('python-config --ldflags')
+        env.ParseConfig('python-config --cflags')
 
 if env.get('CPPDEFINES'):
     # make sure assertions are enabled
@@ -86,7 +95,9 @@
 
 env.Alias('install', env['prefix'])
 def install(dst, pattern):
-    env.Install(join(env['prefix'], dst), Glob(pattern))
+    files = Glob(pattern)
+    assert files, "Glob expression did not match any files"
+    env.Install(join(env['prefix'], dst), files)
 install('bin', 'mypaint')
 install('share/mypaint/brushes', 'brushes/*')
 install('share/mypaint/backgrounds', 'backgrounds/*')

=== debian/changelog ===
mypaint (0.9.0-1build1) natty; urgency=low

  * Rebuild with python 2.7 as the python default.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 15:06:16 +0000

mypaint (0.9.0-1) unstable; urgency=low

  * New upstream version, dropped protobuf dependency. (Closes: #570685)
  * Bump standards version to 3.9.1.
  * Updated the manual page.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 02 Nov 2010 22:32:34 +0100

mypaint (0.8.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "Please do not hardcode python dependencies in debian/control"
    applied patch by Daniel Hahler, thanks Daniel! (Closes: #575641)

 -- Bastian Venthur <venthur@debian.org>  Fri, 13 Aug 2010 22:01:39 +0200

=== debian/control ===
Source: mypaint
Section: graphics
Priority: optional
Maintainer: Gürkan Sengün <gurkan@phys.ethz.ch>
Build-Depends: debhelper (>= 7), scons, python-gtk2-dev, python-numpy, swig, python-support
Standards-Version: 3.9.1
Homepage: http://mypaint.intilinux.com/

Package: mypaint
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, mypaint-data, python-numpy, python-gtk2
Description: Paint program to be used with Wacom tablets
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.

Package: mypaint-data
Architecture: all
Depends: ${misc:Depends}
Description: Brushes and backgrounds for the mypaint program
 This is a pressure sensitive Wacom tablet paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.
 .
 This package contains the data files needed for the program.

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	scons
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp
	scons -c
	rm -f lib/mypaintlib_wrap.cpp options.cache .sconsign.dblite debian/*.debhelper debian/*.log
	find . -type f -name "*.pyc" -exec rm -vf {} \;
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	scons prefix=/usr --install-sandbox=$(CURDIR)/debian/mypaint
	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
	mkdir -p $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/brushes/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/brushes/
	mv $(CURDIR)/debian/mypaint/usr/share/mypaint/backgrounds/* $(CURDIR)/debian/mypaint-data/usr/share/mypaint/backgrounds/
	find $(CURDIR)/debian/mypaint/usr/share/mypaint/ -type d -empty -delete
	chmod -x $(CURDIR)/debian/mypaint/usr/share/mypaint/gui/colorsamplerwindow.py
	# Dirty workaround for broken icons. Really, upstream should be patched
	# to make this unnecessary.
	#for s in 16x16 22x22 24x24 32x32 48x48 scalable ; do \
	#  mkdir -p $(CURDIR)/debian/mypaint/usr/share/icons/hicolor/$$s/apps; \
	#done
	#for s in 16x16 22x22 24x24 32x32 48x48 scalable ; do \
	#  cp $(CURDIR)/debian/mypaint/usr/share/mypaint/desktop/$$s/*.* \
	#     $(CURDIR)/debian/mypaint/usr/share/icons/hicolor/$$s/apps/ ; \
	#done
	#mkdir -p $(CURDIR)/debian/mypaint/usr/share/pixmaps
	#cp $(CURDIR)/debian/mypaint/usr/share/mypaint/desktop/mypaint_48.png \
	#   $(CURDIR)/debian/mypaint/usr/share/pixmaps/mypaint.png
	#cp $(CURDIR)/debian/mypaint/usr/share/mypaint/desktop/mypaint.ico \
	#   $(CURDIR)/debian/mypaint/usr/share/pixmaps/

# Build architecture-independent files here.
binary-indep: install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs changelog
	dh_installdocs
	dh_installmenu
	dh_pysupport
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_icons
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mypaint 0.9.1

=== debian/changelog ===
mypaint (0.9.1-1) unstable; urgency=low

  * New upstream version. (Closes: #618792)
  * Added versioning for depends of mypaint-data. (Closes: #614091)
  * Bump debhelper version to 8.
  * Bump standards version to 3.9.2.
  * debian/control: Changed Source:Version to source:Version.

 -- Gürkan Sengün <gurkan@phys.ethz.ch>  Tue, 03 May 2011 14:19:24 +0100

## mypaint 0.9.1-maemo0

=== debian/changelog ===
mypaint (0.9.1-maemo0) unstable; urgency=low

  * Vanilla upstream 0.9.1 -version (git e98e763708587ef374b7f83a81e985c1ae1f7afd)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 20 Jul 2011 10:07:31 +0200

=== debian/control ===
Source: mypaint
Section: graphics
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Bugtracker: mailto:aapo.rantalainen@gmail.com
Build-Depends: debhelper (>= 5), scons (>=1.2), python-gtk2-dev, python-numpy, swig, python-support, debhelper-maemo-package-icons, liblapack-dev, libpng12-dev
Standards-Version: 3.8.4
Homepage: http://mypaint.intilinux.com/

Package: mypaint
Architecture: any
Section: user/graphics
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
Description: Pressure sensitive paint program
 This is a pressure sensitive paint program. It comes with a large
 brush collection including charcoal and ink to emulate real media, but the
 highly configurable brush engine allows you to experiment with your own
 brushes and with not-quite-natural painting.

## mypaint 0.9.1-maemo1

=== SConstruct ===
--- 
+++ 
@@ -7,6 +7,9 @@
 # version than the one running scons. (But how to find all paths then?)
 python = 'python%d.%d' % (sys.version_info[0], sys.version_info[1])
 print 'Building for', python
+
+if sys.platform == "win32":
+    python = 'python' # usually no versioned binaries on Windows
 
 try: 
     import numpy
@@ -28,6 +31,7 @@
 opts.Add(BoolVariable('debug', 'enable HEAVY_DEBUG and disable optimizations', False))
 env = Environment(ENV=os.environ, options=opts)
 if sys.platform == "win32":
+    # remove this mingw if trying VisualStudio
     env = Environment(tools=['mingw'], ENV=os.environ, options=opts)
 opts.Update(env)
 
@@ -42,8 +46,10 @@
 
 
 if sys.platform == "win32":
-    env.ParseConfig('pkg-config --cflags --libs python25') # These two '.pc' files you probably have to make for yourself.
-    env.ParseConfig('pkg-config --cflags --libs numpy')    # Place them among the other '.pc' files ( where the 'glib-2.0.pc' is located .. probably )
+    # official python shipped with no pc file on windows so get from current python
+    from distutils import sysconfig
+    pre,inc = sysconfig.get_config_vars('exec_prefix', 'INCLUDEPY')
+    env.Append(CPPPATH=inc, LIBPATH=pre+'\libs', LIBS='python'+sys.version[0]+sys.version[2])
 elif sys.platform == "darwin":
     env.ParseConfig('python-config --cflags')
     env.ParseConfig('python-config --ldflags')
@@ -65,7 +71,7 @@
     env.Append(CPPDEFINES='HEAVY_DEBUG')
     env.Append(CCFLAGS='-O0', LINKFLAGS='-O0')
 
-Export('env')
+Export('env', 'python')
 module = SConscript('lib/SConscript')
 SConscript('brushlib/SConscript')
 languages = SConscript('po/SConscript')
@@ -73,7 +79,7 @@
 # Build mypaint.exe for running on windows
 if sys.platform == "win32":
     env2 = Environment(tools=['mingw'], ENV=os.environ)
-    env2.ParseConfig('pkg-config --cflags --libs python25')
+    env2.Append(CPPPATH='-I'+inc, LIBPATH=pre+'\libs', LIBS='python'+sys.version[0]+sys.version[2])
     env2.Program('mypaint', ['mypaint_exe.c'])
 
 def burn_python_version(target, source, env):

=== debian/changelog ===
mypaint (0.9.1-maemo1) unstable; urgency=low

  * fixed gtk-2.12 problems
  * working pressure mapping
  * default: /home/user/MyDocs/MyPaint/scrap
  * use '|' on brushselection
  * other windows are: floating=True, hidden=True
  * Tone's brush set
  * Using old colorselector (not gtk.HSV).

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 20 Jul 2011 15:03:31 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Package: mypaint
 Architecture: any
 Section: user/graphics
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-hildon, python-osso
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}, python-numpy, python-gtk2, libblas3gf, liblapack3gf, python-support (>=1.0.6maemo1), python-simplejson, python-hildon, python-osso
 Description: Pressure sensitive paint program
  This is a pressure sensitive paint program. It comes with a large
  brush collection including charcoal and ink to emulate real media, but the

## mypaint 0.9.1-maemo2

=== debian/changelog ===
mypaint (0.9.1-maemo2) unstable; urgency=low

  * Wrapper script passes parameters
  * Fixd python-2.5 issue (ZipFile.open is python-2.6)
  * Preferenceswindow removed info text because of limited vertical space

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 20 Apr 2011 21:22:31 +0200

## mypaint 0.9.1-maemo3

=== debian/changelog ===
mypaint (0.9.1-maemo3) unstable; urgency=low

  * Fix: ghost lines.
  * Fix: Warning during upgrade

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 21 Apr 2011 08:55:31 +0200

## mypaint 0.9.1-maemo4

=== debian/changelog ===
mypaint (0.9.1-maemo4) unstable; urgency=low

  * Fix: launching from menu

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 21 Apr 2011 09:47:31 +0200

## mypaint 0.9.1-maemo5

=== debian/changelog ===
mypaint (0.9.1-maemo5) unstable; urgency=low

  * Fix: export brush set (double click opens contex menu)
  * Fix: brush settings -> 'more' is working
  * Fix: In-program error messages
  * Fix: saving png images without transparency

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sat, 23 Apr 2011 18:59:31 +0200

## mypaint 0.9.1-maemo6

=== debian/changelog ===
mypaint (0.9.1-maemo6) unstable; urgency=low

  * Fix: exporting brush set to zip-file

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 24 Apr 2011 23:03:31 +0200

## mypaint 0.9.1-maemo7

=== debian/changelog ===
mypaint (0.9.1-maemo7) unstable; urgency=low

  * Fix: File->Document Frame

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Thu, 28 Apr 2011 09:58:31 +0200
